Path Class Reference
Monte Carlo framework

single-factor random walk More...

`#include <ql/methods/montecarlo/path.hpp>`

## Public Member Functions

| Path (const TimeGrid &timeGrid, const Array &values=Array())
inspectors
bool | empty () const
Size | length () const
Real | operator[] (Size i) const
| asset value at the \( i \)-th point
Real | at (Size i) const
Real & | operator[] (Size i)
Real & | at (Size i)
Real | value (Size i) const
Real & | value (Size i)
Time | time (Size i) const
| time at the \( i \)-th point
Real | front () const
| initial asset value
Real & | front ()
Real | back () const
| final asset value
Real & | back ()
const TimeGrid & | timeGrid () const
| time grid

## iterators

typedef Array::const_iterator | iterator
typedef Array::const_reverse_iterator | reverse_iterator
iterator | begin () const
iterator | end () const
reverse_iterator | rbegin () const
reverse_iterator | rend () const

## Detailed Description

single-factor random walk

Note
  the path includes the initial asset value as its first point.

Examples:
  DiscreteHedging.cpp.